Subject: Re: [PATCH v3] pseries/drmem: don't cache node id in drmem_lmb struct

From: Nathan Lynch <[email-masked]>
Date: Fri, 14 Aug 2020 14:31:01 -0500

Nathan Lynch <[email-masked]> writes:
> I'm satisfied that this change does not reintroduce that problem. The
> removal path still derives the node without going to the device tree,
> but now performs a more efficient lookup.

Er, actually it's slightly less efficient in the remove path, as you
note in your commit message. This doesn't alter my opinion of the
change. The higher-level algorithmic inefficiencies (e.g. all the
for_each_drmem_lmb loops) in this code are more of a concern.